SEQ(1)

NOM
seq - Afficher une séquence de nombres

SYNOPSIS
seq [OPTION]... DERNIER
seq [OPTION]... PREMIER DERNIER
seq [OPTION]... PREMIER INCRÉMENT DERNIER

DESCRIPTION

Afficher les nombres du PREMIER jusqu'au DERNIER, selon l'INCRÉMENT.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-f, --format=FORMAT
    utiliser le style de FORMAT en virgule flottante de printf

-s, --separator=CHAÎNE
    utiliser la CHAÎNE pour séparer les nombres (par défaut : \n)

-w, --equal-width
    équilibrer les largeurs en insérant des zéros en tête

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Si PREMIER ou INCRÉMENT est omis, il prend par défaut la valeur 1. La valeur d'INCRÉMENT par défaut est de 1 même lorsque DERNIER est plus petit que PREMIER. PREMIER, INCRÉMENT et DERNIER sont interprétés comme des valeurs en virgule flottante. INCRÉMENT est habituellement positif si PREMIER est plus petit que DERNIER et INCRÉMENT est habituellement négatif si PREMIER est plus grand que DERNIER. FORMAT doit permettre l'affichage d'un paramètre de type « double » ; la valeur par défaut est %.PRECf si PREMIER, INCRÉMENT et DERNIER sont tous des nombres décimaux à virgule fixe avec une précision maximale de PREC, et %g sinon.

AUTEUR
Écrit par Ulrich Drepper.

SIGNALER DES BOGUES
Signaler toute anomalie de seq à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de sed à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour seq est disponible dans un manuel Texinfo. Si les programmes info et seq sont correctement installés sur votre système, la commande

    info coreutils 'seq invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Jean-Luc Coulon (f5ibh) <jean-luc DOT coulon AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.